Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

Has anyone heard any announcements from vmware as to when these will be officially supported? Their website is a bit of a mess. I'm wondering if ESXi 3.5 will support them or ESXi4 ?

Googling around only provides info about installing the RC version of windows 7, we already have the release version from our MAPS subscription.

share|improve this question
    
Is this a limitation of ESXi? We've got dozens of 2008 servers (and a few Windows 7 RTM guests) running on ESX clusters... –  Izzy Oct 8 '09 at 15:24
    
"Running" and "officially supported" are 2 different species. In some shops "it's supported" is the way to go... "it works" isn't good enough. –  ThatGraemeGuy Oct 8 '09 at 15:50
    
A 2008 server isn't the same as a 2008 R2 server as they've used the Windows 7 kernel I believe. –  Mark Henderson Oct 8 '09 at 20:35

4 Answers 4

up vote 1 down vote accepted

They are both officially supported in ESX4 Update 1:

http://www.vmware.com/support/vsphere4/doc/vsp%5Fesx40%5Fu1%5Frel%5Fnotes.html

They are also both officially supported in ESX 3.5 Update 5:

http://www.vmware.com/support/vi3/doc/vi3%5Fesx35u5%5Frel%5Fnotes.html

You can install 2008 R2 on an ESX4 RTM host, as long as you do a custom tools installation and don't install the SVGA driver or the Shared Folders driver since both have compatibility issues. These issues have been fixed in u1 and u5 for 4 and 3.5 respectively.

share|improve this answer

I have installed both with success in ESXi 4.0.

This being said there are a few rough edges that gan throw you in a spin if you are not carefull :

  • make sure your hardware can load 64 bits properly (although with ESXi this should not be problematic) especially that the VT tech is activated.
  • The default video driver only allotted 4 m of video RAM for these systems. Windows did not enjoy that much.
  • there are some options in the VMTools that are not working, things like disable copy-paste etc, I did not try them all.

I see that it seems fully supported in ESXi 4.01, maybe I should give the update a run see if it fixed some of these issues.

share|improve this answer

Windows 7 is "Experimental" for vSphere. Windows 2008 R2 will probably be supported in the next minor release. They are usually pretty tight lipped about stuff until it comes out.

I wouldn't expect to much official support in ESX 3.5.

share|improve this answer

Windows 7 is supported under ESX 4 windows 2008 up to sp2 is supported under ESX 3.5U4 and 4

you can search here - Select the Guest/Host tab - for supported guest operating Systems.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.